%{?nodejs_find_provides_and_requires}
%global npm_name coffee-script

Summary:       Unfancy JavaScript
Name:          nodejs-%{npm_name}
Version:       1.10.0
Release:       1%{?dist}
License:       MIT
URL:           https://github.com/jashkenas/coffeescript
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
ExclusiveArch: %{nodejs_arches} noarch
BuildArch:     noarch
Provides:      nodejs-%{npm_name} = %{version}

%description
Unfancy JavaScript

CoffeeScript is a little language that compiles into JavaScript.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr *.js lib package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

mkdir -p %{buildroot}%{_bindir}
for i in cake coffee ; do
    install -p -D -m0755 bin/${i} %{buildroot}%{nodejs_sitelib}/%{npm_name}/bin/${i}
    ln -s %{nodejs_sitelib}/%{npm_name}/bin/${i} %{buildroot}%{_bindir}/${i}
done

%nodejs_symlink_deps

%files
%doc CNAME CONTRIBUTING.md README.md
%license LICENSE
%{nodejs_sitelib}/%{npm_name}
%{_bindir}/coffee
%{_bindir}/cake

%changelog
* Wed Nov 25 2015 Troy Dawson <tdawson@redhat.com> - 1.10.0-1
- Initial package
